/**
 * Moi (Luc Sorel, http://www.lucsorel.com/index.php?page=contact) reconnaît être l'auteur de ce code source. 
 * J'ai placé ce code source dans le domaine publique. Vous pouvez utiliser, modifier et distribuer le code 
 * source et les programmes exécutables basés sur ce code source. Veuillez toutefois prendre en considération 
 * les points suivants :
 * 
 * --- Décharge légale de garantie ---
 * Ce code source vous est présenté "en tant que tel" et sans garantie de performance ou d'intérêt commercial. 
 * L'auteur et / ou le distributeur ont pu faire des déclarations ) propos de ce code source. Ces déclarations 
 * n'ont pas valeur de garanties et ne doivent pas servir de fondements quant à l'utilisation tierce de ce code 
 * source.
 * 
 * Ce code source est mis à disposition sans aucune garantie implicite ou explicite. Étant donné la diversité 
 * des conditions contextuelles et matérielles sous lesquelles ce code source peut être utilisé, aucune garantie 
 * d'adéquation pour un usage spécifique n'est proposé. il est conseillé que l'utilisateur teste le code source 
 * consciencieusement avant de s'appuyer dessus. L'utilisateur prend l'entière responsabilité de l'utilisation 
 * de ce code source.
 */

package com.lucsorel.hesperis.client;

import com.lucsorel.hesperis.client.gin.HesperisMvpInjector;
import com.lucsorel.hesperis.client.presview.IHesperisMvp;

import com.google.gwt.core.client.EntryPoint;
import com.google.gwt.core.client.GWT;
import com.google.gwt.user.client.ui.RootPanel;

public class HesperisMvp implements EntryPoint
{
	/**
	 * Méthode principale appelée (équivalente au main() d'une application standalone).
	 */
	public void onModuleLoad()
	{
		final HesperisMvpInjector fI_injecteur = GWT.create( HesperisMvpInjector.class );

		final IHesperisMvp fP_presenteurGeneral = fI_injecteur.getHesperisMvpPresenter();
		fP_presenteurGeneral.bind();
		
		// Attache l'application GWT à la balise div dont l'id est "HesperisContainer"
		RootPanel.get( "HesperisContainer" ).add( fP_presenteurGeneral.getDisplay().asWidget() );
	}
}
